<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="firewall" id="bytes-by-period" charttype="histogram">

 <lire:title>Bytes by Period Firewall Report</lire:title>
 <lire:description>
  <para>This report shows the number of bytes aggregated in
    configurable time periods.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="period" type="duration" default="1d">
   <lire:description>
    <para>This parameter controls the time period over which the
     bytes are aggregated.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Bytes by $period</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:timegroup period="$period" label="Period">
   <lire:sum name="bytes_total" field="length" label="Volume"/>
   <lire:sum name="bytes_ratio" field="length" ratio="table" label="% Total"/>
  </lire:timegroup>
 </lire:report-calc-spec>

</lire:report-spec>

<!--
Keep this comment at the end of the file
Local variables:
mode: xml
-->
